%define tarball xf86-input-evdev
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 evdev input driver
Name:      	xorg-x11-drv-evdev
Version:	2.5.0
Release:	3
Epoch:		1
URL:       	http://www.x.org
Source0:   	http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libpciaccess-devel

%Description 
X.Org X11 evdev input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
#./autogen.sh
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/evdev_drv.so
%{_mandir}/man4/evdev.4*
/usr/include/xorg/evdev-properties.h
%_pkgconfig/xorg-evdev.pc

%changelog
* Thu Dec 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.5.0-3
- rebuilt against xorg-x11-server 1.9.3
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.5.0-2
- rebuilt
* Mon Aug 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.5.0-1
- Version update
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.4.0-2
- rebuilt
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.4.0-1
- version update
* Wed Dec 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.3.2-1
- version update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.3.1-2
- rebuilt against xorg-x11-server 1.7.3
* Sun Nov 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.3.1-1
- version update
* Sun Nov 01 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.3.0-1
- version update
* Tue Oct 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.99.2-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.2-2
- rebuilt
* Mon May 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.2-1
- Version update
* Thu Apr 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.1-2
- rebuilt against xserver 1.6.99.1 for MPX
* Mon Mar 30 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.1-1
- Version update
* Sat Mar 21 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.1.3-1
- reverting back to 2.1.3 to temporarily fix key repeats
* Tue Mar 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- Version update
* Tue Mar 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.99.1-1
- Version update
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-1
- version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- version update
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-2
- rebuilt against xinput 1.3
* Wed Nov 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- version update
* Thu Nov 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.99.3-1
- version update
* Sun Nov 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.99.2-1
- version update
* Mon Oct 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-1
- version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.0.4-1
- Version update
* Sat Nov 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1-5-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-1
- version update
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.2-2
- added obsoletes for old xorg package
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.2-1
- Initial release
